POST api/v1/ChildAlbums
Request Information
URI Parameters
None.
Body Parameters
ChildAlbum| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ChildId | integer |
None. |
|
| MotherId | integer |
None. |
|
| Title | string |
None. |
|
| Description | string |
None. |
|
| CoverPhotoId | integer |
None. |
|
| IsPrivate | boolean |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"childId": 2,
"motherId": 3,
"title": "sample string 4",
"description": "sample string 5",
"coverPhotoId": 1,
"isPrivate": true,
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:03:27.396643+03:00",
"updatedAt": "2026-04-18T15:03:27.396643+03:00"
}
application/xml, text/xml
Sample:
<ChildAlbum xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <ChildId>2</ChildId> <CoverPhotoId>1</CoverPhotoId> <CreatedAt>2026-04-18T15:03:27.396643+03:00</CreatedAt> <Description>sample string 5</Description> <DisplayOrder>1</DisplayOrder> <Id>1</Id> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <IsPrivate>true</IsPrivate> <MotherId>3</MotherId> <Title>sample string 4</Title> <UpdatedAt>2026-04-18T15:03:27.396643+03:00</UpdatedAt> </ChildAlbum>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.